Skip to main content
`Ctrl`+`K`

# DSAppendOptionsPrefix

Appends to the prefix used for searching for all `DS` options in the database.

## Synopsis

    #include "slepcds.h"
    PetscErrorCode DSAppendOptionsPrefix(DS ds,const char prefix[])

Logically Collective

## Input Parameters

- ds - the direct solver context

- prefix - the prefix string to prepend to all DS option requests

## Notes

A hyphen (-) must NOT be given at the beginning of the prefix name. The first character of all runtime options is AUTOMATICALLY the hyphen.

## See Also

DS: Direct Solver (or Dense System), `DSSetOptionsPrefix()`

## Level

advanced

## Location

src/sys/classes/ds/interface/dsbasic.c

Index of all DS routines Table of Contents for all manual pages Index of all manual pages